{
  "accUserMode" : 2,
  "caption" : "分页搜索视图",
  "codeName" : "TESTUsr03185471TabSearchView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr03185471TabSearchView.json",
  "name" : "TESTUsr03185471TabSearchView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup2"
  },
  "getPSDEViewCodeName" : "Usr03185471TabSearchView",
  "getPSDEViewId" : "E561EA83-9650-4E13-8634-CED5EBAAFCD6",
  "getPSViewLayoutPanel" : {
    "codeName" : "TabSearchView",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "分页搜索视图布局",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_header",
      "getPSLayout" : {
        "align" : "space-between",
        "dir" : "row",
        "layout" : "FLEX",
        "vAlign" : "center"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "contentHeight" : 54.0,
        "height" : 54.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_left",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "height" : 54,
          "heightMode" : "PX",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_captionbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "captionbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_right",
        "getPSLayout" : {
          "dir" : "row",
          "layout" : "FLEX",
          "vAlign" : "center"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "teleport占位",
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "tabsearchbar",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSRawItem" : {
            "contentType" : "RAW",
            "name" : "tabsearchbar",
            "predefinedType" : "TELEPORT_PLACEHOLDER"
          },
          "showCaption" : true
        }, {
          "caption" : "teleport占位",
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "tabsearchform",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSRawItem" : {
            "contentType" : "RAW",
            "name" : "tabsearchform",
            "predefinedType" : "TELEPORT_PLACEHOLDER"
          },
          "showCaption" : true
        } ]
      } ],
      "predefinedType" : "VIEWHEADER"
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_content",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "contentHeight" : 54.0,
        "height" : 54.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_tabexppanel",
        "getPSLayout" : {
          "align" : "space-between",
          "dir" : "row",
          "layout" : "FLEX",
          "vAlign" : "center"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "height" : 54,
          "heightMode" : "PX",
          "layout" : "FLEX",
          "shrink" : 0
        },
        "getPSPanelItems" : [ {
          "caption" : "关系分页部件",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "tabexppanel",
          "getPSLayoutPos" : {
            "grow" : 1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        }, {
          "caption" : "传送部件占位",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "tabtoolbar",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSRawItem" : {
            "name" : "tabtoolbar",
            "predefinedType" : "TELEPORT_PLACEHOLDER"
          },
          "showCaption" : true
        } ],
        "predefinedType" : "TABS"
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_searchform",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX",
          "shrink" : 0
        },
        "getPSPanelItems" : [ {
          "caption" : "搜索表单",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "searchform",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_searchbar",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX",
          "shrink" : 0
        },
        "getPSPanelItems" : [ {
          "caption" : "搜索栏",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "searchbar",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_nav_pos",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "导航区占位",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "nav_pos",
          "getPSLayoutPos" : {
            "grow" : 1,
            "layout" : "FLEX"
          },
          "getPSRawItem" : {
            "name" : "nav_pos",
            "predefinedType" : "NAV_POS"
          },
          "showCaption" : true
        } ]
      } ],
      "predefinedType" : "VIEWCONTENT"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "D8483671-9ACB-4545-A36B-287636A49F66",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "codeName" : "testSearchBar2",
      "controlType" : "SEARCHBAR",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/testSearchBar2.json",
      "groupMoreText" : "更多分组",
      "logicName" : "搜索栏2（Test）",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "SEARCHBAR"
      },
      "getPSSearchBarFilters" : [ {
        "caption" : "filter标题",
        "dataType" : 25,
        "itemType" : "FILTER",
        "labelPos" : "NONE",
        "labelWidth" : 0,
        "name" : "filter",
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSDEFSearchMode" : {
          "codeName" : "N_TYPE_LIKE",
          "name" : "N_TYPE_LIKE",
          "stdDataType" : 25,
          "valueOP" : "LIKE"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "filter"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "emptyCaption" : false,
        "hidden" : false,
        "showCaption" : false
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "COMMON.COMMON.TEST"
        },
        "caption" : "类型",
        "dataType" : 25,
        "itemType" : "FILTER",
        "getLabelPSSysCss" : {
          "cssName" : "bg-blue"
        },
        "labelPos" : "NONE",
        "labelWidth" : 0,
        "name" : "type",
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSDEFSearchMode" : {
          "codeName" : "N_TYPE_EQ",
          "name" : "N_TYPE_EQ",
          "stdDataType" : 25,
          "valueOP" : "EQ"
        },
        "getPSEditor" : {
          "editorParams" : {
            "aaaa" : "bbbb",
            "SRFNAVCTX.srfusername" : "%srfusername%",
            "SRFNAVPARAM.size" : "33"
          },
          "editorType" : "DROPDOWNLIST",
          "name" : "type",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
          },
          "getPSNavigateContexts" : [ {
            "key" : "SRFUSERNAME",
            "name" : "SRFUSERNAME",
            "value" : "srfusername",
            "rawValue" : false
          } ],
          "getPSNavigateParams" : [ {
            "key" : "size",
            "name" : "size",
            "value" : "33",
            "rawValue" : true
          } ],
          "placeHolder" : "请选择输入",
          "singleSelect" : true
        },
        "getPSSysCss" : {
          "cssName" : "bg-blue"
        },
        "getPSSysImage" : {
          "cssClass" : "fa-solid fa-paste"
        },
        "width" : 200.0,
        "allowEmpty" : true,
        "emptyCaption" : false,
        "hidden" : false,
        "needCodeListConfig" : true,
        "showCaption" : false
      }, {
        "caption" : "标题（名称）",
        "dataType" : 25,
        "itemType" : "FILTER",
        "labelPos" : "NONE",
        "labelWidth" : 0,
        "name" : "testname",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "getPSDEFSearchMode" : {
          "codeName" : "N_TESTNAME_LIKE",
          "name" : "N_TESTNAME_LIKE",
          "stdDataType" : 25,
          "valueOP" : "LIKE"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "testname"
        },
        "allowEmpty" : true,
        "emptyCaption" : false,
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "属性11",
        "dataType" : 25,
        "itemType" : "FILTER",
        "labelPos" : "NONE",
        "labelWidth" : 0,
        "name" : "field",
        "getPSAppDEField" : {
          "name" : "FIELD",
          "codeName" : "Field"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "field"
        },
        "allowEmpty" : true,
        "emptyCaption" : false,
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "自定义",
        "dataType" : 25,
        "itemType" : "FILTER",
        "labelPos" : "NONE",
        "labelWidth" : 0,
        "name" : "n_custom_eq",
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_custom_eq"
        },
        "allowEmpty" : true,
        "emptyCaption" : false,
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "创建人",
        "dataType" : 25,
        "itemType" : "FILTER",
        "labelPos" : "NONE",
        "labelWidth" : 0,
        "name" : "createman",
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSDEFSearchMode" : {
          "codeName" : "N_CREATEMAN_EQ",
          "name" : "N_CREATEMAN_EQ",
          "stdDataType" : 25,
          "valueOP" : "EQ"
        },
        "getPSEditor" : {
          "editorParams" : {
            "aaaa" : "bbbb",
            "SRFNAVCTX.srfusername" : "%srfusername%",
            "SRFNAVPARAM.size" : "33",
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "name" : "createman",
          "getPSNavigateContexts" : [ {
            "key" : "SRFUSERNAME",
            "name" : "SRFUSERNAME",
            "value" : "srfusername",
            "rawValue" : false
          } ],
          "getPSNavigateParams" : [ {
            "key" : "size",
            "name" : "size",
            "value" : "33",
            "rawValue" : true
          } ],
          "valueItemName" : "createmaeeee",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "valueItemName" : "createmaeeee",
        "allowEmpty" : true,
        "emptyCaption" : false,
        "hidden" : false,
        "showCaption" : false
      } ],
      "getPSSearchBarGroups" : [ {
        "caption" : "分组1",
        "itemType" : "GROUP",
        "name" : "group1",
        "width" : 0.0,
        "addSeparator" : false
      }, {
        "caption" : "分组2",
        "itemType" : "GROUP",
        "name" : "group2",
        "width" : 0.0,
        "addSeparator" : false,
        "defaultGroup" : true
      }, {
        "caption" : "分组3",
        "itemType" : "GROUP",
        "name" : "group3",
        "width" : 0.0,
        "addSeparator" : false
      }, {
        "caption" : "分组444444444444444444444444",
        "itemType" : "GROUP",
        "name" : "group4444444444",
        "width" : 0.0,
        "addSeparator" : false
      }, {
        "caption" : "分组55555555555555555",
        "itemType" : "GROUP",
        "name" : "group5555555555",
        "width" : 0.0,
        "addSeparator" : false
      } ],
      "quickGroupCount" : 2,
      "quickSearchMode" : 2,
      "quickSearchWidth" : 0,
      "enableFilter" : true,
      "enableGroup" : true,
      "enableQuickSearch" : true,
      "mobileSearchBar" : false,
      "name" : "searchbar",
      "modelid" : "6b1a721f8cbf7c9ab7f7c824c9bedce2",
      "modeltype" : "PSSYSSEARCHBAR"
    }, {
      "codeName" : "GridViewPanel_SearchForm",
      "controlType" : "SEARCHFORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/GridViewPanel_SearchForm.json",
      "logicName" : "视图布局面板（基础）_搜索表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionType" : "FILTERACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGet"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "search",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterSearch"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "搜索表单处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "SEARCHFORM"
      },
      "getPSDEFormItems" : [ {
        "id" : "n_type_eq",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        }
      } ],
      "getPSDEFormPages" : [ {
        "caption" : "常规条件",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "caption" : "类型(=)",
          "codeName" : "n_type_eq",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "n_type_eq",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "n_type_eq",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "searchButtonStyle" : "DEFAULT",
      "tabHeaderPos" : "TOP",
      "enableAdvanceSearch" : false,
      "enableAutoSearch" : false,
      "enableFilterSave" : false,
      "noTabHeader" : true,
      "name" : "searchform",
      "modelid" : "D448A138-AA20-47E7-8A32-1BFF467EB867",
      "modeltype" : "PSDEFORM_SEARCHFORM"
    }, {
      "codeName" : "Usr03185471TabSearchViewtabexppanel",
      "controlType" : "TABEXPPANEL",
      "name" : "tabexppanel",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSAppViewRefs" : [ {
        "name" : "EXPITEM:grid",
        "realTitle" : "分页搜索表格",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTabSearchGridView.json",
          "viewType" : "DEGRIDVIEW"
        }
      }, {
        "name" : "EXPITEM:list",
        "realTitle" : "分页搜索列表",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTabSearchListView.json",
          "viewType" : "DELISTVIEW"
        }
      } ],
      "getPSControlParam" : { },
      "getPSControls" : [ {
        "caption" : "表格视图",
        "codeName" : "Usr03185471TabSearchViewgrid",
        "controlType" : "TABVIEWPANEL",
        "name" : "grid",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "getPSSysImageId" : "c50a855ca199a766a2698e0ae1866f68",
          "id" : "grid"
        },
        "getPSSysImage" : {
          "glyph" : "xf0ce@FontAwesome",
          "cssClass" : "fa fa-table"
        },
        "modelid" : "c303453c93de74c9cc14d0fb86b295db_grid",
        "modeltype" : "PSVIEWPANEL",
        "getEmbeddedPSAppDEView" : {
          "accUserMode" : 2,
          "caption" : "分页搜索表格",
          "codeName" : "TESTTabSearchGridView",
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTabSearchGridView.json",
          "gridRowActiveMode" : 2,
          "name" : "TESTTabSearchGridView",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSAppModule" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
          },
          "getPSAppViewEngines" : [ {
            "engineCat" : "VIEW",
            "engineType" : "GridView",
            "name" : "engine"
          } ],
          "getPSAppViewLogics" : [ {
            "logicTrigger" : "CUSTOM",
            "logicType" : "APPUILOGIC",
            "name" : "newdata",
            "getPSAppUILogic" : {
              "actionAfterWizard" : "DEFAULT",
              "logicType" : "PREDEFINED",
              "name" : "新建数据",
              "getNewDataPSAppView" : {
                "openMode" : "INDEXVIEWTAB_POPUPMODAL",
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              },
              "getPSAppUILogicRefViews" : [ {
                "openMode" : "INDEXVIEWTAB_POPUPMODAL",
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              } ],
              "viewLogicType" : "APP_NEWDATA",
              "batchAddOnly" : false,
              "enableBatchAdd" : false,
              "enableWizardAdd" : false
            }
          }, {
            "logicTrigger" : "CUSTOM",
            "logicType" : "APPUILOGIC",
            "name" : "opendata",
            "getPSAppUILogic" : {
              "logicType" : "PREDEFINED",
              "name" : "打开数据",
              "getOpenDataPSAppView" : {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTRedirectView.json",
                  "viewType" : "DEREDIRECTVIEW"
                }
              },
              "getPSAppUILogicRefViews" : [ {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTRedirectView.json",
                  "viewType" : "DEREDIRECTVIEW"
                }
              } ],
              "viewLogicType" : "APP_OPENDATA",
              "editMode" : true
            }
          } ],
          "getPSAppViewMsgGroup" : {
            "modelref" : true,
            "id" : "VMGroup2"
          },
          "getPSAppViewRefs" : [ {
            "name" : "EDITDATA",
            "realTitle" : "测试实体数据重定向视图",
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTRedirectView.json",
              "viewType" : "DEREDIRECTVIEW"
            }
          }, {
            "name" : "NEWDATA",
            "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
            "realTitle" : "简单编辑",
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
              "viewType" : "DEEDITVIEW"
            }
          } ],
          "getPSControls" : [ {
            "aggMode" : "NONE",
            "codeName" : "TabSearchGridView_Grid",
            "columnEnableFilter" : 2,
            "columnEnableLink" : 2,
            "controlType" : "GRID",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/TabSearchGridView_Grid.json",
            "getFetchPSControlAction" : {
              "modelref" : true,
              "id" : "fetch",
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "groupMode" : "NONE",
            "logicName" : "分页搜索表格_表格",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "Get",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Get"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Create",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Create"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Update",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Update"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "GetDraft",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionType" : "DEDATASET",
                "name" : "fetch",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FetchDefault"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              } ],
              "userDRAction" : "READ",
              "enableDEFieldPrivilege" : false,
              "id" : "数据表格处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true,
              "id" : "GRID"
            },
            "getPSDEDataImport" : {
              "modelref" : true,
              "id" : "DataImport"
            },
            "getPSDEGridColumns" : [ {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "测试实体名称",
              "codeName" : "testname",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "testname",
              "excelCaption" : "测试实体名称",
              "name" : "testname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "FRONT",
              "caption" : "更新人",
              "codeName" : "updateman",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "updateman",
              "excelCaption" : "更新人",
              "name" : "updateman",
              "noPrivDisplayMode" : 1,
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
              },
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "更新时间",
              "codeName" : "updatedate",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "updatedate",
              "excelCaption" : "更新时间",
              "name" : "updatedate",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              },
              "valueFormat" : "YYYY-MM-DD HH:mm:ss",
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            } ],
            "getPSDEGridDataItems" : [ {
              "dataType" : 25,
              "name" : "testname",
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "dataType" : 25,
              "name" : "updateman",
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              }
            }, {
              "format" : "YYYY-MM-DD HH:mm:ss",
              "dataType" : 5,
              "name" : "updatedate",
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "dataType" : 25,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            }, {
              "dataType" : 25,
              "name" : "srfdataaccaction",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              },
              "dataAccessAction" : true
            }, {
              "dataType" : 25,
              "name" : "srfmajortext",
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            } ],
            "getPSDEGridEditItems" : [ {
              "caption" : "测试实体标识",
              "codeName" : "srfkey",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "srfkey"
              },
              "allowEmpty" : true
            } ],
            "pagingSize" : 20,
            "getRemovePSControlAction" : {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "sortMode" : "REMOTE",
            "hasWFDataItems" : false,
            "enableColFilter" : false,
            "enableCustomized" : true,
            "enableGroup" : false,
            "enablePagingBar" : true,
            "enableRowEdit" : false,
            "enableRowEditOrder" : false,
            "enableRowNew" : false,
            "forceFit" : false,
            "hideHeader" : false,
            "noSort" : false,
            "singleSelect" : false,
            "name" : "grid",
            "modelid" : "8226AEBB-560C-47B5-A7D3-219D9F676AA0",
            "modeltype" : "PSDEGRID"
          }, {
            "codeName" : "TabSearchGridView_SearchForm",
            "controlType" : "SEARCHFORM",
            "defaultLabelWidth" : 130,
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/TabSearchGridView_SearchForm.json",
            "logicName" : "分页搜索表格_搜索表单",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionType" : "FILTERACTION",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FilterGet"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionType" : "FILTERACTION",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FilterGetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionType" : "FILTERACTION",
                "name" : "search",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FilterSearch"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              } ],
              "enableDEFieldPrivilege" : false,
              "id" : "搜索表单处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true,
              "ctrlParams" : {
                "TELEPORTTAG" : "#testusr03185471tabsearchview-tabsearchform"
              },
              "id" : "TABSEARCHFORM"
            },
            "getPSDEFormItems" : [ {
              "id" : "n_type_like",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              }
            } ],
            "getPSDEFormPages" : [ {
              "caption" : "常规条件",
              "codeName" : "formpage1",
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMPAGE",
              "name" : "formpage1",
              "getPSDEFormDetails" : [ {
                "caption" : "类型",
                "codeName" : "n_type_like",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "n_type_like",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "TYPE",
                  "codeName" : "Type"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "name" : "n_type_like"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "convertToCodeItemText" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColLG" : -1,
                "childColMD" : 24,
                "childColSM" : -1,
                "childColXS" : -1,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false
            } ],
            "getPSLayout" : {
              "childColLG" : -1,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "searchButtonStyle" : "DEFAULT",
            "tabHeaderPos" : "TOP",
            "enableAdvanceSearch" : false,
            "enableAutoSearch" : false,
            "enableFilterSave" : false,
            "noTabHeader" : true,
            "name" : "tabsearchform",
            "modelid" : "ED0D785D-7A79-4A0F-84B9-27CCDEB8E504",
            "modeltype" : "PSDEFORM_SEARCHFORM"
          }, {
            "codeName" : "TabSearchGridViewtabtoolbar",
            "controlType" : "TOOLBAR",
            "logicName" : "分页搜索表格_工具栏",
            "name" : "tabtoolbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : {
              "ctrlParams" : {
                "TELEPORTFLAG" : "true"
              },
              "id" : "TABTOOLBAR"
            },
            "getPSDEToolbarItems" : [ {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "表格编辑",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction1",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "tabtoolbar_deuiaction1"
              },
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.EDIT"
                },
                "caption" : "编辑",
                "codeName" : "Edit",
                "fullCodeName" : "Edit",
                "name" : "表格界面_编辑操作",
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "predefinedType" : "GRIDVIEW_EDITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Edit",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "表格编辑",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "xDataControlName" : "grid",
            "modelid" : "72B88325-5F8C-499B-9FC3-E031BF4DC766",
            "modeltype" : "PSDETOOLBAR"
          }, {
            "controlType" : "SEARCHBAR",
            "name" : "searchbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : {
              "id" : "searchbar"
            },
            "quickGroupCount" : -1,
            "quickSearchMode" : 1,
            "quickSearchWidth" : 0,
            "enableFilter" : false,
            "enableGroup" : false,
            "enableQuickSearch" : true,
            "mobileSearchBar" : false
          }, {
            "caption" : "分页搜索表格",
            "codeName" : "TabSearchGridViewcaptionbar",
            "controlType" : "CAPTIONBAR",
            "name" : "captionbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : { }
          } ],
          "getPSDEViewCodeName" : "TabSearchGridView",
          "getPSDEViewId" : "C9A58774-0C94-44B5-BE9C-B4541207CAD5",
          "getPSViewLayoutPanel" : {
            "codeName" : "Layoutpanel",
            "controlStyle" : "APPDEGRIDVIEW",
            "controlType" : "VIEWLAYOUTPANEL",
            "name" : "layoutpanel",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : { },
            "layoutBodyOnly" : true,
            "layoutPanel" : true,
            "useDefaultLayout" : true
          },
          "title" : "分页搜索表格",
          "viewStyle" : "DEFAULT",
          "viewType" : "DEGRIDVIEW",
          "xDataControlName" : "grid",
          "enableDP" : true,
          "enableExport" : true,
          "enableFilter" : true,
          "enableImport" : true,
          "enableQuickSearch" : true,
          "enableRowEdit" : false,
          "enableSearch" : true,
          "rowEditDefault" : false,
          "modelid" : "be12859f46f4109c1b942e8f364fdb60",
          "modeltype" : "PSAPPDEVIEW"
        }
      }, {
        "caption" : "列表视图",
        "codeName" : "Usr03185471TabSearchViewlist",
        "controlType" : "TABVIEWPANEL",
        "getEmbeddedPSAppDEView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTabSearchListView.json",
          "viewType" : "DELISTVIEW"
        },
        "name" : "list",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "getPSSysImageId" : "275f52b439d66cc0139e3ffcb3caad0f",
          "id" : "list"
        },
        "getPSSysImage" : {
          "glyph" : "xf0ca@FontAwesome",
          "cssClass" : "fa fa-list-ul"
        },
        "modelid" : "c303453c93de74c9cc14d0fb86b295db_list",
        "modeltype" : "PSVIEWPANEL"
      } ],
      "getPSTabExpPages" : [ {
        "name" : "grid"
      }, {
        "name" : "list"
      } ],
      "tabLayout" : "TOP",
      "uniqueTag" : "TESTUsr03185471TabSearchView__tabexppanel",
      "modelid" : "c303453c93de74c9cc14d0fb86b295db_tabexppanel",
      "modeltype" : "PSTABEXPPANEL"
    }, {
      "caption" : "分页搜索视图",
      "codeName" : "Usr03185471TabSearchViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "tabLayout" : "TOP",
  "title" : "分页搜索视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETABSEARCHVIEW",
  "enableDP" : true,
  "enableQuickSearch" : false,
  "enableSearch" : true,
  "expandSearchForm" : false,
  "loadDefault" : true,
  "showDataInfoBar" : true,
  "modelid" : "c303453c93de74c9cc14d0fb86b295db",
  "modeltype" : "PSAPPDEVIEW"
}